ATA_DEV_XFERMASK(9)

NAME
ata_dev_xfermask - Compute supported xfermask of the given device

SYNOPSIS

void ata_dev_xfermask(struct ata_device * dev);

ARGUMENTS

dev
    Device to compute xfermask for

DESCRIPTION

Compute supported xfermask of dev and store it in dev->*_mask. This function is responsible for applying all known limits including host controller limits, device blacklist, etc...

LOCKING

None.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT